{
  config,
  pkgs,
  lib,
  ...
}: {
  users.users.someone.packages = [pkgs.ashell];

  xdg.configFile."ashell/config.toml".text = ''
    [modules]
    left = [ [ "appLauncher", "Updates", "Workspaces", "ScreenMirror" ], "MediaPlayer" ]
    center = [ "WindowTitle" ]
    right = [ "SystemInfo", [ "Tray", "Clock", "Privacy", "Settings" ] ]


    [system_info]
    indicators = [ "Cpu", "Memory", "Temperature" ]

    [system_info.cpu]
    warn_threshold = 60
    alert_threshold = 80

    [system_info.memory]
    warn_threshold = 70
    alert_threshold = 85

    [system_info.temperature]
    warn_threshold = 60
    alert_threshold = 80

    [tempo]
    clock_format = "%a %d %b %R"
    weather_location = { City = "Amsterdam" }

    [appearance]
    style = "Islands"

    [[ScreenMirror]]
    name = "ScreenMirror"
    icon = ""
    command = "bash /etc/nixos/scripts/screen-mirror.sh"


  '';
}
